# Class GenotypeLikelihoods.GenotypeLikelihoodsAllelePair

java.lang.Object
htsjdk.variant.variantcontext.GenotypeLikelihoods.GenotypeLikelihoodsAllelePair

Enclosing class:
  `GenotypeLikelihoods`

public static class GenotypeLikelihoods.GenotypeLikelihoodsAllelePair extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final int`
`alleleIndex1`
`final int`
`alleleIndex2`

## Constructor Summary

Constructors
Constructor
Description
`GenotypeLikelihoodsAllelePair(int alleleIndex1, int alleleIndex2)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### alleleIndex1

public final int alleleIndex1

### alleleIndex2

public final int alleleIndex2

## Constructor Details

### GenotypeLikelihoodsAllelePair

public GenotypeLikelihoodsAllelePair(int alleleIndex1, int alleleIndex2)